Tue Apr 19 21:55:56 EDT 2011    Dave Foster <daf@minuslab.net>
    * Releasing 1.5.2.
    * Fixed bug in Xinerama mode where X resources would be leaked on
      every set. Thanks to Cloudef for the fix.
    * Finnish translation (thx Siiseli Koulutus)
    * Several small fixes pertaining to substrings, improvements to
      GNOME setting mode (thx Евдокимов Сергей)
    * Small fixes for thumbnail generation speed and inotify flag
      problems.

Thu Feb  4 18:43:52 EST 2010    Dave Foster <daf@minuslab.net>
    * Releasing 1.5.1.
    * Fixes bug with detecting root window type, README updates.

Wed Jul 30 20:01:46 EDT 2008	Dave Foster <daf@minuslab.net>
	* Fixed nasty bug concerning various X errors that would 
	  sometimes pop up.  A lot of problems with Xinerama setting
	  was fixed as well.
	* UI shows in text what backgrounds are set to which display.
	* Made the apply button only quit the app in certain circumstances.

Thu Jul 24 09:59:07 EDT 2008	Dave Foster <daf@minuslab.net>
	* Renamed "best fit" to "zoomed".
	* Added "automatic" scaling mode - figures out likely mode that
	  an image should be set at.  Is selected by default, but not when
	  you have a saved config file that has another mode set in it
	  already.
	* Removed checkbox which originally controlled saving.  Double-clicking
	  an image now always only previews it.  The Save button saves the 
	  image, applies it, and closes the window.

Mon May 12 21:58:34 EDT 2008	Dave Foster <daf@minuslab.net>
	* Made the program not recurse when no directory argument is
	  given, thus not loading your entire home dir when you least
	  expect it!
	* Releasing 1.3.

Fri Apr 25 10:00:01 EDT 2008	Dave Foster <daf@minuslab.net>
	* Prepared 1.3-rc
	* Made thumbnail loading "lazy" so it doesn't load everything
	  in one shot.  This should save on memory usage!

Sat Jan 26 15:16:51 EST 2008 	Dave Foster <daf@minuslab.net>
	* Tagged 1.2 release (sitting on my hd for some reason?)

Tue Dec 18 20:28:09 EST 2007	Dave Foster <daf@minuslab.net>
	* Fixed the nasty bug that was plauging people with the
	  mysterious Gtk/Glib critical errors and X error.  
	  Was related to Xinerama codepath.  Cheers to
	  Lars Kinn Ekroll for debugging help.
	* Ready for 1.1 release.

Fri Aug 10 13:42:24 EDT 2007	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed false-positive in xinerama detection.

Sun Aug  5 16:59:44 EDT 2007	Javeed Shaikh <syscrash2k@gmail.com>
	* Test commit for my git hook script.

Tue Jun 26 23:22:06 EDT 2007	Dave Foster <daf@minuslab.net>
	* Added dirty hack to make sure Xinerama codepath is not
	  taken when in restore mode.  Was having a problem where
	  my setup claimed I had a 1 screen Xinerama layout!

Tue May 29 22:59:46 EDT 2007	Dave Foster <daf@minuslab.net>
	* Added generic image icon (from tango theme).  Should
	  clear up any icon theme loading errors should you not
	  have an icon theme installed.
	* Added default directory of the working dir.  Cheers
	  to Olof Persson for the idea (why didn't we think of that).

Mon May 28 22:41:39 EDT 2007	Dave Foster <daf@minuslab.net>
	* Attempted to add i18n support, cheers to Agave for
	  the header file.  Translators should start from the
	  po/nitrogen.pot file.

2007-05-25  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add po.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath, m4/ChangeLog.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in.

Mon May 14 18:07:10 EDT 2007 	Dave Foster <daf@minuslab.net>
	* Removed the old images.cc crap file.
	* Releasing 1.0!

Fri May 11 15:09:04 EDT 2007	Dave Foster <daf@minuslab.net>
	* Added main application icons by Craig Duquette.
	* Updated license info to include CC license for icons.

Fri Apr  6 14:04:46 EDT 2007	Javeed Shaikh <syscrash2k@gmail.com>
	* Trying to fix a bug where icons are not being found, causing
		nitrogen to abort. Dave should probably look into this further.

Thu Apr  5 18:01:16 EDT 2007	Dave Foster <daf@minuslab.net>
	* Added new icons from Craig Duquette, split out images
	  into actual directories you have to install.  "make install"
	  takes care of all this.
	* This has been stale for a while, committing to see if it 
	  works for anyone else so we can release 1.0.

Mon Jan 29 12:03:02 EST 2007	Dave Foster <daf@minuslab.net>
	* Improved loading time of large directories (back to pre-
	  icon switch).

Sun Dec 31 01:56:26 EST 2006	Dave Foster <daf@minuslab.net>
	* Added proper icon support, new icons from Craig, stolen
	  build script to install icons (from Banshee).

Tue Oct 31 21:42:24 EST 2006	Dave Foster <daf@minuslab.net>
	* Cleaned up some autotools crud that shouldn't be in svn.

Thu Oct 19 22:33:53 EDT 2006	Dave Foster <daf@minuslab.net>
	* Fixed various compile/configure bugs.
	* Released 1.0 RC4.

Sun Oct 15 22:59:55 EDT 2006	Dave Foster <daf@minuslab.net>
	* Started some code cleanups.

Tue Oct 10 21:14:46 EDT 2006	Dave Foster <daf@minuslab.net>
	* Tried to introduce some autotools foo to deal with Xinerama
	  better.

Thu Sep 28 14:25:56 EDT 2006	Dave Foster <daf@minuslab.net>
	* Fixed a major bug that I introduced into single display code,
	  hooray for VNC to find things like that.

Wed Sep 27 23:18:34 EDT 2006	Dave Foster <daf@minuslab.net>
	* Added preliminary Xinerama support.  Please test.

Wed Sep 20 08:52:26 EDT 2006	Dave Foster <daf@minuslab.net>
	* Added mode support to GNOME background setting.
	* Fixed a dumb bug with the GNOME setting not working.

Mon Sep 18 22:43:46 EDT 2006	Dave Foster <daf@minuslab.net>
	* Removed old lingering search UI idea (how was it still there!)
	* Added support for setting backgrounds under GNOME, or when
	  Nautilus is drawing the desktop.  Please test!

Sat Sep 16 15:36:46 EDT 2006	Dave Foster <daf@minuslab.net>
	* Reintroduced a thread, but only to create thumbnails, as 
	  doing it as an idle func was freezing the GUI for larger
	  images.
	* Various small cleanups, removal of ugly mkdirs and better
	  filename/path handling.

Tue Sep 12 14:25:02 EDT 2006	Dave Foster <daf@minuslab.net>
	* Hopefully figured out how to merge the inotify branch.

Wed Aug 23 21:00:19 EDT 2006	Dave Foster <daf@minuslab.net>
	* Added new command line set modes.

Sat Aug  5 12:31:51 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* No longer loads valid thumbnails twice (for checking mtime.)
	  Someone should test this crap, I nominate Dave.

Sat Aug  5 12:04:07 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed a bug where thumbnail cache file mtimes were not being checked.

Thu Aug  3 17:55:27 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* I think it is working properly. I'll let Dave have a look at it.

Thu Aug  3 15:02:30 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Branched. Added inotify C++ wrapper source code. Modified build
	  scripts to use the added files.

Wed Aug  2 13:16:54 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Added the ability to set the background colour for images with an
	  alpha channel. The colour picker button is always shown.

Sat Jul 29 14:53:39 EDT 2006	Dave Foster <daf@minuslab.net>
	* Made default screen combobox work correctly.

Wed Jul 26 23:19:15 EDT 2006	Dave Foster <daf@minuslab.net>
	* Removed thread that did thumbnail loading/creating.  Now
	  does it in a glib idle callback.  Also split create and 
	  load thumb (on second commit).  Still must split loaddir.

Sat Jul 22 22:49:00 EDT 2006	Dave Foster <daf@minuslab.net>
	* FINALLY figured out how to make it properly behave with other 
	  background setting programs.  NO LONGER LEAKS PIXMAPS.  
	  Will release -rc3 from this.

Sat Jul  1 12:37:33 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed a bug in best fit mode where the image's final height would
	  exceed the root window's height.

Thu Jun  1 12:22:55 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed some segfaults due to attempted saving of zero height
	  images and incorrect UTF-8 file names.

Mon Apr 24 20:30:46 EDT 2006	Dave Foster <daf@minuslab.net>
	* Fixed a gigantic problem that someone else introduced in the 
	  multihead setting code in the gui mode.  

Tue Apr 18 23:31:25 EDT 2006	Dave Foster <daf@minuslab.net>
	* Tango'd up the display icon (for multiscreens).

Fri Apr 14 13:30:17 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Background colour for center mode now works if the image
	  has an alpha channel. The alpha was being set to zero, while
	  it should have always been full.

Fri Apr 14 12:55:06 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Restore shouldn't fail if it cannot get the bg color.
	  This is an attempt to fix ticket #7.

Thu Apr 13 23:21:50 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Added tiled background support. Oh joy.

Thu Apr 13 15:11:25 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed --restore. Goddamned curly braces.

Sat Apr  8 14:09:52 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Removed debugging print stuff that I left in accidentally.

Sat Apr  8 12:53:41 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed insanity in the SetBG class. This fixes another hang-up
	  bug.

Fri Apr  7 13:53:47 EDT 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed logic in the config class. This fixes a hang-up
	  bug.

Tue Apr  4 21:50:02 EDT 2006	Dave Foster <daf@minuslab.net>
	* Added GPL headers to all source files, yay.

Wed Mar 29 13:39:40 EST 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed a bug where nitrogen thumbnails would crap out if the
	  supplied path was not an absolute one.

Sun Mar 26 18:23:39 EST 2006	Dave Foster <daf@minuslab.net>
	* Added a new icon from Craig Duquette.
	* Made it possible to select a color to use as the rest of the background
	  when setting with a mode that may not take the entire screen up.  
	* Made defaults better by restoring mode and bg color in addition to 
	  just file name.

Sun Mar 26 14:11:09 EST 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Made the view more efficient. No more use of markup.
	* Removed an unnecessary column.

Wed Mar 22 12:25:26 EST 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Fixed the --help argument parser bug.

Tue Mar 21 22:46:34 EST 2006	Dave Foster <daf@minuslab.net>
	* Several internal changes, such as moving the Config class to a 
	  singleton.  This will help us expand the configuration later for when
	  it remembers directories and whatnot.
	* Wrote a killer man page.  Currently does not seem to be picked up by 
	  man when installed to the /usr/local prefix for some reason, perhaps
	  it's just my system.
	* Made the view automatically scroll to the saved bg for the default 
	  display (if it exists).  Pretty nice!
	* Internal code cleanups.
	* Integrated updated argument parsing class, introduced a new bug that
	  it doesn't seem to recognize --help anymore.  Sys, fix it!

Fri Mar 17 15:55:26 EST 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Added last-modified time sort; you can sort either oldest first or
	  newest first. See --help.

Fri Mar 17 14:50:20 EST 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* Added alphanumeric and reverse alphanumeric sort options;
	  see --help.

Fri Mar 17 14:05:48 EST 2006	Javeed Shaikh <syscrash2k@gmail.com>
	* GTK's built-in tree view searching is now enabled. You can search
	  by giving focus to the treeview and typing in the search key.

Mon Mar 13 22:35:41 EST 2006	Dave Foster <daf@minuslab.net>
	* Renamed a class and renamed a bunch of files.  You will most likely have
	  to do the full suite of autoutils.. aclocal, autoconf, autoheader,
	  automake will most likely get it done.

Thu Mar  2 22:17:21 EST 2006	Dave Foster <daf@minuslab.net>
	* Integrated Javeed's argument parser class into the app, meaning we can 
	  finally support proper arguments.  I added two, "--restore" and 
	  "--no-recurse".  If you can't figure out what they mean.. well.. sorry.

Sat Dec  3 23:03:57 EST 2005	Dave Foster <daf@minuslab.net>
	* Refactored crappy individual combo boxes into one common class, removed
	  program logic from that class into other places.

Tue Nov 29 21:32:41 EST 2005	Dave Foster <daf@minuslab.net>
	* Re-enabled thumbnail creation after finding out GdkPixbuf does support
	  saving of png text blocks.  Can't figure out how to read them in right
	  now, but it works.  Now, also tries to create ~/.thumbnails + normal if
	  they do not exist for some reason.

Tue Nov 29 15:09:25 EST 2005	Dave Foster <daf@minuslab.net>
	* Yes, we're still alive.
	* Retooled a lot of the inner workings.  Files are no longer scanned in a
	  thread, a rediculous exponential loop was removed.
	* Now uses freedesktop.org thumbnailing standard instead of own thumbnail
	  cache.  This offloads a lot of work to other apps, and duplicate data.
	  Broke thumbnail generation in the process, becuase the standard requires
	  certain info to be set in the png file, which it doesn't look like
	  Gdk::Pixbuf supports.  Will have to do it manually using libpng.  Also 
	  removed showing of dimensions, becuase storing them in their own file
	  was wasteful and used a lot of IO.  These dims can optionally be stored
	  in thumbnails, but will probably not due to other programs not having 
	  the info available.
	* Switched from our own custom Makefile hax to using autoconf/make/tools.

Thu Sep  8 01:55:19 GMT 2005	Dave Foster <daf@minuslab.net>
	* Retooled UI to have a checkbox denoting whether to save the bg upon
	  setting, rather than two seperate buttons.  This way, double clicking
	  can save the state as well, if the CB is pressed.
	* Internal API changes again, cleanup of NWindow class to avoid duplicate
	  code.

Wed Sep  7 03:34:15 GMT 2005	Dave Foster <daf@minuslab.net>
	* Added state saving to a file, and the ability to reset to those saved
	  bgs.  Currently, it's very hax, as no argument parser exists, so run
	  it with a third argument (doesn't matter what it is) to get it to try
	  to read saved bgs in the file.  You make these saved entries by using
	  the saved button in the UI.  Also, it won't exit right away, I'll 
	  figure that out soon. (update: fixed)
	* Some consistancy changes in the API.
	* Added a search part to the UI, but it's currently hidden, as it's not
	  anywhere near what it's supposed to look like.  It was more of a test
	  for seeing what a Gtk Expander would look like, and will most likely
	  be used for another area.

Tue Sep  6 02:13:36 GMT 2005	Dave Foster <daf@minuslab.net>
	* Modified cache dir to reflect the user cache dir that glib returns, 
	  for proper freedesktop.org compliance.
	* Started making room for "Save" feature on UI.

Mon Sep  5 16:52:57 GMT 2005	Dave Foster <daf@minuslab.net>
	* Fixed bug in display opening code, now it can open all displays again.
	* Split modes of bg setting into different functions for clarity.
	* Changed Centered mode to crop images that are larger.

Mon Sep  5 02:01:34 GMT 2005	Dave Foster <daf@minuslab.net>
	* Added "Best Fit" setting mode.
	* Changed wording of display drop down combo, and should be invisible on
	  machines with only one screen.

Thu Sep  1 03:53:32 GMT 2005	Dave Foster <daf@minuslab.net>
	* Created CHANGELOG, AUTHORS, README files.  Will get to others shortly.
	* Removed feh dependence.  Nitrogen can now set its own backgrounds.  At
	  present, scaled works perfect, centered gets sketchy with images that 
	  are bigger than the screen, and I'm not sure the best way to do tiled,
	  so it's pretty much disabled.
	* Various TODOs left in places to clean up, such as the awful named 
	  "combo" class.

